package com.vmx;

public interface ProgressCallback
{
	public void setMax(int max);
	public void setProgress(int progress);
	public void rise(int plus);
	public void progress(int plus);
	public void setText(String text);
	
	public int getMax();
	public int getProgress();
	public String getText();

	public void setPercentMode(boolean mode);

	public void setCancelFlag(boolean flag);
	public boolean getCancelFlag();
}
